com.jscape.inet.bsd

## Class BsdAdapter

- java.lang.Object
- - com.jscape.inet.bsd.BsdAdapter

- All Implemented Interfaces:
    BsdListener, java.util.EventListener

      public class BsdAdapter
      extends java.lang.Object
      implements BsdListener

  Implements methods for capturing events sourced from Rexec and derived classes. This class is intended to provide vertical compatibility with BsdListener interface. Typicaly your application will use this class instead of BsdListener interface to capture the following events :
  BsdConnectedEvent
  BsdDisconnectedEvent
  BsdBytesTransmittedEvent
  BsdBytesReceivedEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BsdAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bytesReceived(BsdBytesReceivedEvent event)` Invoked when data arrives from an InputStream.
    `void` | `bytesTransmitted(BsdBytesTransmittedEvent event)` Invoked when data is transmitted to an OutputStream.
    `void` | `connected(BsdConnectedEvent event)` Invoked when connection to BSD r service server is established.
    `void` | `disconnected(BsdDisconnectedEvent event)` Invoked when connection to BSD r service server is released.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BsdAdapter

          public BsdAdapter()

  - ### Method Detail

    - #### connected

          public void connected(BsdConnectedEvent event)

      Invoked when connection to BSD r service server is established.
      Specified by:
        `connected` in interface `BsdListener`
      Parameters:
        `event` - a `BsdConnectedEvent`
      See Also:
        `BsdConnectedEvent`

    - #### disconnected

          public void disconnected(BsdDisconnectedEvent event)

      Invoked when connection to BSD r service server is released.
      Specified by:
        `disconnected` in interface `BsdListener`
      Parameters:
        `event` - a `BsdDisconnectedEvent`
      See Also:
        `BsdDisconnectedEvent`

    - #### bytesTransmitted

          public void bytesTransmitted(BsdBytesTransmittedEvent event)

      Invoked when data is transmitted to an OutputStream.
      Specified by:
        `bytesTransmitted` in interface `BsdListener`
      Parameters:
        `event` - a `BsdBytesTransmittedEvent`

    - #### bytesReceived

          public void bytesReceived(BsdBytesReceivedEvent event)

      Invoked when data arrives from an InputStream.
      Specified by:
        `bytesReceived` in interface `BsdListener`
      Parameters:
        `event` - a `BsdBytesReceivedEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved